cluster = {
  region = "lax"
  label   = "athens-cluster"
  version = "v1.31.2+1"
  pools = {
    meta = {
      plan =  "vc2-1c-2gb"
      autoscale = true
      min = 1
      max = 2
    }
    games = {
      plan =  "vc2-1c-2gb"
      autoscale = true
      min = 1
      max = 3
    }
  }
}

game_servers = {
  namespace = "games"
  configs = {
  }
}

admin_services = {
  namespace = "admin-services"
  configs = {
    health = {
      image = "nginx:latest"
      name  = "health"
      cpu   = "200m"
      mem   = "64Mi"
      port  = {
        notes    = "Basic nginx sanity check service"
        expose   = 30800
        internal = 80
      }
    }
  }
}
